[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.EventTypeToString

Create a string representation of an event type

## Declaration

Source position: eventlog.pp line 73

`public function TEventLog.EventTypeToString(`
`E: TEventType`
`):string;`

## Arguments

`E` |  | Event type to convert to string

## Function result

String representation of E

## Description

EventTypeToString converts the event type E to a suitable string representation for logging purposes. It's mainly used when writing messages to file, as the system log usually has it's own mechanisms for displaying the various event types.

## See also

#rtl.sysutils.TEventType

Documentation generated on: Feb 26 2014